
From: Rusty Russell <rusty@rustcorp.com.au>

This cleans up defconfig for i386.  Not much work.  This patch removes
MODULE_PARM for everything made by "defconfig" on x86.  There are only a
few left.

Signed-off-by: Rusty Russell <rusty@rustcorp.com.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/acpi/thermal.c |    2 +-
 25-akpm/drivers/cdrom/cdrom.c  |   12 ++++++------
 25-akpm/drivers/char/lp.c      |    4 ++--
 25-akpm/drivers/ide/ide-cd.c   |    2 +-
 25-akpm/drivers/net/8139too.c  |    8 ++++----
 25-akpm/drivers/net/s2io.c     |   16 ++++++++--------
 6 files changed, 22 insertions(+), 22 deletions(-)

diff -puN drivers/acpi/thermal.c~Remove-MODULE_PARM-from-i386-defconfig drivers/acpi/thermal.c
--- 25/drivers/acpi/thermal.c~Remove-MODULE_PARM-from-i386-defconfig	Wed Oct 20 16:10:40 2004
+++ 25-akpm/drivers/acpi/thermal.c	Wed Oct 20 16:10:40 2004
@@ -76,7 +76,7 @@ MODULE_DESCRIPTION(ACPI_THERMAL_DRIVER_N
 MODULE_LICENSE("GPL");
 
 static int tzp;
-MODULE_PARM(tzp, "i");
+module_param(tzp, int, 0);
 MODULE_PARM_DESC(tzp, "Thermal zone polling frequency, in 1/10 seconds.\n");
 
 
diff -puN drivers/cdrom/cdrom.c~Remove-MODULE_PARM-from-i386-defconfig drivers/cdrom/cdrom.c
--- 25/drivers/cdrom/cdrom.c~Remove-MODULE_PARM-from-i386-defconfig	Wed Oct 20 16:10:40 2004
+++ 25-akpm/drivers/cdrom/cdrom.c	Wed Oct 20 16:10:40 2004
@@ -296,12 +296,12 @@ static int lockdoor = 1;
 static int check_media_type;
 /* automatically restart mrw format */
 static int mrw_format_restart = 1;
-MODULE_PARM(debug, "i");
-MODULE_PARM(autoclose, "i");
-MODULE_PARM(autoeject, "i");
-MODULE_PARM(lockdoor, "i");
-MODULE_PARM(check_media_type, "i");
-MODULE_PARM(mrw_format_restart, "i");
+module_param(debug, bool, 0);
+module_param(autoclose, bool, 0);
+module_param(autoeject, bool, 0);
+module_param(lockdoor, bool, 0);
+module_param(check_media_type, bool, 0);
+module_param(mrw_format_restart, bool, 0);
 
 static spinlock_t cdrom_lock = SPIN_LOCK_UNLOCKED;
 
diff -puN drivers/char/lp.c~Remove-MODULE_PARM-from-i386-defconfig drivers/char/lp.c
--- 25/drivers/char/lp.c~Remove-MODULE_PARM-from-i386-defconfig	Wed Oct 20 16:10:40 2004
+++ 25-akpm/drivers/char/lp.c	Wed Oct 20 16:10:40 2004
@@ -749,8 +749,8 @@ static int parport_nr[LP_NO] = { [0 ... 
 static char *parport[LP_NO] = { NULL,  };
 static int reset = 0;
 
-MODULE_PARM(parport, "1-" __MODULE_STRING(LP_NO) "s");
-MODULE_PARM(reset, "i");
+module_param_array(parport, charp, NULL, 0);
+module_param(reset, bool, 0);
 
 #ifndef MODULE
 static int __init lp_setup (char *str)
diff -puN drivers/ide/ide-cd.c~Remove-MODULE_PARM-from-i386-defconfig drivers/ide/ide-cd.c
--- 25/drivers/ide/ide-cd.c~Remove-MODULE_PARM-from-i386-defconfig	Wed Oct 20 16:10:40 2004
+++ 25-akpm/drivers/ide/ide-cd.c	Wed Oct 20 16:10:40 2004
@@ -3433,7 +3433,7 @@ static struct block_device_operations id
 /* options */
 char *ignore = NULL;
 
-MODULE_PARM(ignore, "s");
+module_param(ignore, charp, 0400);
 MODULE_DESCRIPTION("ATAPI CD-ROM Driver");
 
 static int ide_cdrom_attach (ide_drive_t *drive)
diff -puN drivers/net/8139too.c~Remove-MODULE_PARM-from-i386-defconfig drivers/net/8139too.c
--- 25/drivers/net/8139too.c~Remove-MODULE_PARM-from-i386-defconfig	Wed Oct 20 16:10:40 2004
+++ 25-akpm/drivers/net/8139too.c	Wed Oct 20 16:10:40 2004
@@ -605,10 +605,10 @@ MODULE_AUTHOR ("Jeff Garzik <jgarzik@pob
 MODULE_DESCRIPTION ("RealTek RTL-8139 Fast Ethernet driver");
 MODULE_LICENSE("GPL");
 
-MODULE_PARM (multicast_filter_limit, "i");
-MODULE_PARM (media, "1-" __MODULE_STRING(MAX_UNITS) "i");
-MODULE_PARM (full_duplex, "1-" __MODULE_STRING(MAX_UNITS) "i");
-MODULE_PARM (debug, "i");
+module_param(multicast_filter_limit, int, 0);
+module_param_array(media, int, NULL, 0);
+module_param_array(full_duplex, int, NULL, 0);
+module_param(debug, int, 0);
 MODULE_PARM_DESC (debug, "8139too bitmapped message enable number");
 MODULE_PARM_DESC (multicast_filter_limit, "8139too maximum number of filtered multicast addresses");
 MODULE_PARM_DESC (media, "8139too: Bits 4+9: force full duplex, bit 5: 100Mbps");
diff -puN drivers/net/s2io.c~Remove-MODULE_PARM-from-i386-defconfig drivers/net/s2io.c
--- 25/drivers/net/s2io.c~Remove-MODULE_PARM-from-i386-defconfig	Wed Oct 20 16:10:40 2004
+++ 25-akpm/drivers/net/s2io.c	Wed Oct 20 16:10:40 2004
@@ -3983,14 +3983,14 @@ static void s2io_init_pci(nic_t * sp)
 
 MODULE_AUTHOR("Raghavendra Koushik <raghavendra.koushik@s2io.com>");
 MODULE_LICENSE("GPL");
-MODULE_PARM(ring_num, "1-" __MODULE_STRING(1) "i");
-MODULE_PARM(frame_len, "1-" __MODULE_STRING(8) "i");
-MODULE_PARM(ring_len, "1-" __MODULE_STRING(8) "i");
-MODULE_PARM(fifo_num, "1-" __MODULE_STRING(1) "i");
-MODULE_PARM(fifo_len, "1-" __MODULE_STRING(8) "i");
-MODULE_PARM(rx_prio, "1-" __MODULE_STRING(1) "i");
-MODULE_PARM(tx_prio, "1-" __MODULE_STRING(1) "i");
-MODULE_PARM(latency_timer, "1-" __MODULE_STRING(1) "i");
+module_param(ring_num, uint, 0);
+module_param_array(frame_len, uint, NULL, 0);
+module_param_array(ring_len, uint, NULL, 0);
+module_param(fifo_num, uint, 0);
+module_param_array(fifo_len, uint, NULL, 0);
+module_param(rx_prio, uint, 0);
+module_param(tx_prio, uint, 0);
+module_param(latency_timer, byte, 0);
 
 /*
 *  Input Argument/s: 
_
